using Interfaces;

namespace IrDaemonNotifier
{
    public class IrDaemonNotifierProviderFactory:INotifierProviderFactory
    {
        private readonly ILoggerService _logger;

        public IrDaemonNotifierProviderFactory(ILoggerService logger)
        {
            _logger = logger;
        }
        public INotifierProvider GetProvider()
        {
            return new IrDaemonNotifier(_logger);
        }

        public new string GetType()
        {
            return nameof(IrDaemonNotifierProviderFactory);
        }
    }
}
